<?php
 
function cuenta_archivos( $dir ) { 
	$retval = 0; 
	if( $dir && is_dir( $dir ) ) { 
		if( ($d = opendir( $dir )) !== false ) { 
		while( ($f = readdir( $d )) !== false ) { 
			if( is_file( $dir . "/" . $f ) ) ++$retval; 
			} 
			closedir( $d ); 
		} 
	} 
	return $retval; 
}

function createTables($path,$r=1){
	if (@$gestor = opendir($path)) {
		while (false !== ($archivo = readdir($gestor))) {
			if ($archivo != "." && $archivo != "..") {
				if(is_file($path.$archivo))
					exeFileSQL($path.$archivo);
				elseif(is_dir($path.$archivo) && $r==1)
					createTables($path.$archivo.'/');

			}
		}
		closedir($gestor);
	}
}

function exeFileSQL($path){
	global $con;
	$sq='';
	@$fileData=pathinfo($path);
	if(strtolower($fileData['extension'])=='sql'){
		if (@$FILE = fopen($path , "r")){
			while (!feof($FILE)) $sq.=fgets($FILE,255);
			@$rs= mysqli_query($con ,$sq);
			fclose($FILE);
		}
	}
}

?>